// ignore_for_file: avoid_dynamic_calls, avoid_print, invalid_annotation_target, depend_on_referenced_packages

import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

part 'user.freezed.dart';
part 'user.g.dart';

@freezed
class User with _$User {
  factory User({
    @JsonKey(name: 'user_id') String? userID,
    @JsonKey(name: 'device_id') String? deviceId,
    @JsonKey(name: 'display_name') String? displayName,
    @JsonKey(name: 'access_token') String? accessToken,
    @JsonKey(name: 'avatar_url') String? avatarUri,
    @JsonKey(name: 'isSignedIn') bool? isSignedIn,
  }) = _User;

  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);

  factory User.initial() => User(
        userID: UNKNOWN,
        deviceId: UNKNOWN,
        accessToken: UNKNOWN,
        displayName: UNKNOWN,
        avatarUri: UNKNOWN,
        isSignedIn: false,
      );
}

@freezed
class RoomUser with _$RoomUser {
  factory RoomUser({
    @JsonKey(name: 'power_level') int? powerLevel,
    @JsonKey(name: 'moderator') bool? moderator,
    @JsonKey(name: 'room_user') User? roomUser,
  }) = _RoomUser;

  factory RoomUser.fromJson(Map<String, dynamic> json) =>
      _$RoomUserFromJson(json);

  factory RoomUser.initial() => RoomUser(
        powerLevel: 0,
        moderator: false,
        roomUser: User.initial(),
      );
}
